| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::task Namespace Reference

## Classes

struct | final_awaiter
| The object automatically co_await-ed at the end of a task. Ensures nested coroutine chains are resolved, and the promise_t cleans up if it needs to. More...
struct | promise_base
| Base implementation of task::promise_t, without the logic that would depend on the return type. Meant to be inherited from. More...
struct | promise_t
| A task's promise_t type, with special logic for handling nested tasks. More...
struct | promise_t< void >
| Implementation of task::promise_t for void return type. More...

## Typedefs

template<typename R>
using | handle_t = std_coroutine::coroutine_handle<promise_t<R>>
| Alias for <a href="https://en.cppreference.com/w/cpp/coroutine/coroutine_handle"std::coroutine_handle for a task's promise_t.

## Typedef Documentation

## ◆ handle_t

template<typename R>

using dpp::detail::task::handle_t = std_coroutine::coroutine_handle<promise_t<R>>

Alias for <a href="https://en.cppreference.com/w/cpp/coroutine/coroutine_handle"std::coroutine_handle for a task's promise_t.

Template Parameters

  R | Return type of the task

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0